Bug 1085534 - [GSS] (6.3.0) Backport PLINK-407
Summary: [GSS] (6.3.0) Backport PLINK-407
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: PicketLink
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER2
: EAP 6.3.0
Assignee: Derek Horton
QA Contact: Josef Cacek
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: 1084593 1085539 1091177
TreeView+ depends on / blocked
 
Reported: 2014-04-08 20:39 UTC by Derek Horton
Modified: 2014-06-28 15:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
An update to this release of JBoss EAP 6 introduces an upstream PicketLink feature that allows the `FormAuthenticator` +characterEncoding+ parameter to be used for requests in `IDPWebBrowserSSOValve`.
Clone Of: 1084601
: 1085539 (view as bug list)
Environment:
Last Closed: 2014-06-28 15:41:57 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker PLINK-407 Major Resolved characterEncoding parameter not used in for requests in IDPWebBrowserSSOValve 2014-07-24 08:30:47 UTC

Description Derek Horton 2014-04-08 20:39:34 UTC
Backport PLINK-407

Functionality can be enabled as shown here:

  <valve>                                                                                                                                                              
     <class-name>org.picketlink.identity.federation.bindings.tomcat.idp.IDPWebBrowserSSOValve</class-name>                                                             
     <param>                                                                                                                                                           
       <param-name>characterEncoding</param-name>                                                                                                    
       <param-value>UTF-8</param-value>                                                                                                                                 
     </param>                                                                                                                                                          
   </valve>

Comment 1 FIlip Bogyai 2014-04-24 10:13:22 UTC
Verified in EAP 6.3.0.ER2

Comment 2 JBoss JIRA Server 2014-05-05 21:20:14 UTC
Anil Saldhana <anil.saldhana@jboss.com> updated the status of jira PLINK-407 to Resolved

Comment 3 Scott Mumford 2014-05-13 00:11:21 UTC
Replaced XML markup in release note text with asciidoc markup (required by the document export process)

Comment 4 Scott Mumford 2014-05-22 01:19:02 UTC
Removed example code from Release Note text as per bug 1099049.


Note You need to log in before you can comment on or make changes to this bug.